Alembic 1.8.11

Loading...
Searching...
No Matches
Alembic::AbcCoreOgawa::ALEMBIC_VERSION_NS::PropertyHeaderAndFriends Struct Reference

## Public Member Functions
| PropertyHeaderAndFriends (const std::string &iName, const AbcA::MetaData &iMetaData)
| PropertyHeaderAndFriends (const std::string &iName, AbcA::PropertyType iPropType, const AbcA::MetaData &iMetaData, const AbcA::DataType &iDataType, const AbcA::TimeSamplingPtr &iTsamp, Util::uint32_t iTimeSamplingIndex)
size_t | verifyIndex (index_t iIndex)

## Public Attributes
AbcA::PropertyHeader | header
bool | isScalarLike
bool | isHomogenous
Util::uint32_t | nextSampleIndex
Util::uint32_t | firstChangedIndex
Util::uint32_t | lastChangedIndex
Util::uint32_t | timeSamplingIndex

The documentation for this struct was generated from the following file:

- AbcCoreOgawa/Foundation.h